from typing import List
from flair.data import Sentence
from flair.models import SequenceTagger

from experiment.sentence_wer_processor.sentence_wer_processor import SentenceWerProcessor


class FlairUposMultiTransformersWerProcessorBase(SentenceWerProcessor):
    _tagger: SequenceTagger

    def __init__(self, gold_transcript_property_name: str, asr_property_name: str, alignment_property_name: str,
                 wer_property_name: str, task_name: str, require_update: bool):
        super().__init__(gold_transcript_property_name, asr_property_name, alignment_property_name, wer_property_name,
                         task_name, require_update)
        self._tagger = SequenceTagger.load("flair/upos-multi")

    def process_text(self, text: str) -> List[str]:
        flair_sentence = Sentence(text)
        self._tagger.predict(flair_sentence)
        return [it._value for it in flair_sentence.get_labels()]
